Package ru.bitel.bgbilling.plugins.documents.common.bean

# Class Document.Builder

java.lang.Object
ru.bitel.bgbilling.plugins.documents.common.bean.Document.Builder

Enclosing class:
  `Document`

public static class Document.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Document`
  `build()`
  `Document.Builder`
  `setComment(String comment)`
  `Document.Builder`
  `setContractId(int contractId)`
  `Document.Builder`
  `setCreateDate(Date createDate)`
  `Document.Builder`
  `setFileSecret(String fileSecret)`
  `Document.Builder`
  `setId(int id)`
  `Document.Builder`
  `setJournalId(int journal)`
  `Document.Builder`
  `setLastModifyDate(Date lastModifyDate)`
  `Document.Builder`
  `setPatternId(int patternId)`
  `Document.Builder`
  `setShowInLK(boolean showInLK)`
  `Document.Builder`
  `setStatusId(int status)`
  `Document.Builder`
  `setTitle(String title)`
  `Document.Builder`
  `setTypeId(int type)`
  `Document.Builder`
  `setUserId(int user)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public Document.Builder setId(int id)

  - ### setTitle

    public Document.Builder setTitle(String title)

  - ### setContractId

    public Document.Builder setContractId(int contractId)

  - ### setUserId

    public Document.Builder setUserId(int user)

  - ### setTypeId

    public Document.Builder setTypeId(int type)

  - ### setStatusId

    public Document.Builder setStatusId(int status)

  - ### setJournalId

    public Document.Builder setJournalId(int journal)

  - ### setPatternId

    public Document.Builder setPatternId(int patternId)

  - ### setComment

    public Document.Builder setComment(String comment)

  - ### setCreateDate

    public Document.Builder setCreateDate(Date createDate)

  - ### setLastModifyDate

    public Document.Builder setLastModifyDate(Date lastModifyDate)

  - ### setShowInLK

    public Document.Builder setShowInLK(boolean showInLK)

  - ### setFileSecret

    public Document.Builder setFileSecret(String fileSecret)

  - ### build

    public Document build()